Package tigase.conf

# Class ConfigSQLRepository

java.lang.Object
tigase.conf.ConfigurationCache
tigase.conf.ConfigSQLRepository

All Implemented Interfaces:
  `Iterable<ConfigItem>`, `ConfigRepositoryIfc`, `ComponentRepository<ConfigItem>`, `Repository`

@Deprecated public class ConfigSQLRepository extends ConfigurationCache
Deprecated.
Created: Dec 15, 2009 10:44:00 PM

Author:
  Artur Hefczyc

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface tigase.db.Repository

  `Repository.Meta, Repository.SchemaId`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONFIG_REPO_URI_INIT_KEY`
  Deprecated.
  `static final String`
  `CONFIG_REPO_URI_PROP_KEY`
  Deprecated.

  ### Fields inherited from class tigase.conf.ConfigurationCache

  `CONFIG_DUMP_FILE_PROP_DEF, CONFIG_DUMP_FILE_PROP_KEY`

  ### Fields inherited from interface tigase.db.comp.ComponentRepository

  `COMP_REPO_BIND`

  ### Fields inherited from interface tigase.conf.ConfigRepositoryIfc

  `RELOAD_DELAY, RESOURCE_URI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigSQLRepository()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addItem(String compName, ConfigItem item)`
  Deprecated.
  `Collection<ConfigItem>`
  `allItems()`
  Deprecated.
  Returns a collection with all items stored in the repository.
  `String[]`
  `getCompNames()`
  Deprecated.
  Returns all component names for which there are some configuration settings available.
  `ConfigItem`
  `getItem(String compName, String node, String key)`
  Deprecated.
  `Set<ConfigItem>`
  `getItemsForComponent(String compName)`
  Deprecated.
  Get set of config items stored for component
  `String[]`
  `getKeys(String compName, String node)`
  Deprecated.
  Returns an array of all configuration keys for a given component and configuration node.
  `void`
  `initRepository(String repo_uri, Map<String,String> params)`
  Deprecated.
  Method is deprecated and should not be user any more.
  `void`
  `removeItem(String compName, ConfigItem item)`
  Deprecated.
  `int`
  `size()`
  Deprecated.
  The method returns number of items in the repository.

  ### Methods inherited from class tigase.conf.ConfigurationCache

  `addItem, addItem, addItemNoStore, addRepoChangeListener, contains, destroy, get, getDefaults, getDefHostname, getInitProperties, getItem, getItemInstance, getProperties, iterator, putProperties, reload, remove, removeItem, removeItemNoStore, removeRepoChangeListener, set, setAutoloadTimer, setDefHostname, setProperties, store, validateItem`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### CONFIG_REPO_URI_PROP_KEY

    public static final String CONFIG_REPO_URI_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### CONFIG_REPO_URI_INIT_KEY

    public static final String CONFIG_REPO_URI_INIT_KEY
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigSQLRepository

    public ConfigSQLRepository()
    Deprecated.

- ## Method Details

  - ### addItem

    public void addItem(String compName, ConfigItem item)
    Deprecated.
    Overrides:
      `addItem` in class `ConfigurationCache`

  - ### allItems

    public Collection<ConfigItem> allItems() throws TigaseDBException
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Returns a collection with all items stored in the repository.
    Specified by:
      `allItems` in interface `ComponentRepository<ConfigItem>`
    Overrides:
      `allItems` in class `ConfigurationCache`
    Throws:
      `TigaseDBException`

  - ### getCompNames

    public String[] getCompNames()
    Deprecated.
    Description copied from interface: `ConfigRepositoryIfc`
    Returns all component names for which there are some configuration settings available.
    Specified by:
      `getCompNames` in interface `ConfigRepositoryIfc`
    Overrides:
      `getCompNames` in class `ConfigurationCache`
    Returns:
      array of component names

  - ### getItem

    public ConfigItem getItem(String compName, String node, String key)
    Deprecated.
    Overrides:
      `getItem` in class `ConfigurationCache`

  - ### getItemsForComponent

    public Set<ConfigItem> getItemsForComponent(String compName)
    Deprecated.
    Description copied from interface: `ConfigRepositoryIfc`
    Get set of config items stored for component
    Specified by:
      `getItemsForComponent` in interface `ConfigRepositoryIfc`
    Overrides:
      `getItemsForComponent` in class `ConfigurationCache`
    Returns:
      set of component items

  - ### getKeys

    public String[] getKeys(String compName, String node)
    Deprecated.
    Description copied from interface: `ConfigRepositoryIfc`
    Returns an array of all configuration keys for a given component and configuration node.
    Specified by:
      `getKeys` in interface `ConfigRepositoryIfc`
    Overrides:
      `getKeys` in class `ConfigurationCache`
    Returns:
      array of keys for component and node

  - ### initRepository

    public void initRepository(String repo_uri, Map<String,String> params) throws DBInitException
    Deprecated.
    Description copied from interface: `Repository`
    Method is deprecated and should not be user any more.
    The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
    Specified by:
      `initRepository` in interface `Repository`
    Overrides:
      `initRepository` in class `ConfigurationCache`
    Parameters:
      `repo_uri` - value in most cases representing the database connection string.
      `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
    Throws:
      `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

  - ### removeItem

    public void removeItem(String compName, ConfigItem item)
    Deprecated.
    Overrides:
      `removeItem` in class `ConfigurationCache`

  - ### size

    public int size()
    Deprecated.
    Description copied from interface: `ComponentRepository`
    The method returns number of items in the repository.
    Specified by:
      `size` in interface `ComponentRepository<ConfigItem>`
    Overrides:
      `size` in class `ConfigurationCache`
    Returns:
      an `int` value with number of items in the repository.